' **********************************************************************************
' MULTIPLE 4 ARGUMENTS CALLBACKS  UNDER  RAPIDQ        INCLUDE            by Jacques
' **********************************************************************************
' ----------------------------------------------------------------------------------
$IFNDEF CALLBACK_FORWARDER
  $DEFINE CALLBACK_FORWARDER
  Declare Function FWCB_GetProcessHeap Lib "kernel32" Alias "GetProcessHeap" () As Long
  Declare Function FWCB_HeapAlloc Lib "kernel32" Alias "HeapAlloc" (ByVal hHeap As Long, ByVal dwFlags As Long, ByVal dwBytes As Long) As Long
  FUNCTION SetNewFwToCallBack (ForwardTo AS LONG, hFunction AS LONG) AS LONG
    DEFLNG hProcessHeap = FWCB_GetProcessHeap
    DEFLNG ptrForwarder = FWCB_HeapAlloc (hProcessHeap, 12, 14)
    DIM mTmp AS QMEMORYSTREAM
    WITH mTmp
      .Size = 14
      .Position = 0
      .WriteNum(&H58      , 1)  ' pop Eax
      .WriteNum(&H68      , 1)  ' push ...
      .WriteNum(hFunction , 4)  ' ... hRqFunction
      .WriteNum(&H50      , 1)  ' push eax
      .WriteNum(&HB8      , 1)  ' mov  eax, ...
      .WriteNum(Forwardto , 4)  ' ... ForwardTo
      .WriteNum(&HE0FF    , 2)  ' jmp eax
    END WITH
    MemCpy (ptrForwarder, mTmp.Pointer, 14)
    Result = ptrForwarder
  END FUNCTION
$ENDIF
' ==================================================================================
$IFNDEF _CALLBACK_4
   $DEFINE _CALLBACK_4
   Declare Function MasterCallBack_4 (hFunction As Long, Arg1 As Long, Arg2 As Long, Arg3 As Long, Arg4 As long) As Long
   Declare Function FuncBind_4 (Arg1 As Long, Arg2 As Long, Arg3 As Long, Arg4 As long) As Long
   DefInt lpCallBack_4 = CodePtr(MasterCallBack_4)
   Function MasterCallBack_4 (hFunction As Long, Arg1 As Long, Arg2 As Long, Arg3 As Long, Arg4 As Long) As Long
     DefInt hBind
     Bind hBind TO FuncBind_4
     hBind = hFunction
     Result = CallFunc (hBind, Arg1, Arg2, Arg3, Arg4)
   End Function
   Function SetNewCallBack_4 (hFunction As Long) As Long
     Result = SetNewFwToCallBack (lpCallBack_4, hFunction)
   End Function
$ENDIF
' ----------------------------------------------------------------------------------
' **********************************************************************************
