'All (and only) RapidQ subs and function declarations.

'custom component window process function.
Declare Function RichEditWndProc(hWnd As Long, uMsg As Long, wParam As Long, lParam As Long) As Long

'user-defined function to enumerate child components by classname
Declare Function GetChildHandle(ByVal hParent As Long, ByVal sClass As String, ByVal bInstance As Long) As Long

'component subroutines.
Declare Sub MainForm_OnShow
Declare Sub MainForm_OnClose
Declare Sub MainForm_OnResize

Declare Sub IO_Visibility_Panel_OnClick

Declare Sub mFile_OnClick(Sender As QMenuItem)
Declare Sub mEdit_OnClick(Sender As QMenuItem)
Declare Sub mJumpTo_OnClick(Sender As QMenuItem)
Declare Sub mCompile_OnClick(Sender As QMenuItem)
Declare Sub mPrint_OnClick(Sender As QMenuItem)
Declare Sub mHelp_OnClick(Sender As QMenuItem)

Declare Sub Input_Output_Selector_RadioButton_OnClick(Sender As QRadioButton)

Declare Sub Code_Editor_TabControl_OnChange

Declare Sub Previous_Project_PM_OnClick(Sender As QMenuItem)
Declare Sub Previous_Project_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)

Declare Sub Previous_File_PM_OnClick(Sender As QMenuItem)
Declare Sub Previous_File_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)

Declare Sub Project_Editor_PM_OnClick(Sender As QMenuItem)
Declare Sub Project_Editor_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)

Declare Sub Update_Menus
Declare Sub Update_StatusBar

Declare Sub Web_Nav_ComboBox_OnChange

Declare Sub Update_FileView
Declare Sub Style_Changes
Declare Sub Change_Style(hWnd As Long, XorStyle As Long, OrStyle As Long)

Declare Sub Resize_SubComponents

Declare Sub Input_Output_Splitter_OnMouseDown(b As Integer, x As Integer, y As Integer, s As Integer)
Declare Sub Input_Output_Splitter_Timer_OnTimer
Declare Sub Input_Output_Splitter_OnMouseUp(b As Integer, x As Integer, y As Integer, s As Integer)
Declare Sub Input_Output_Splitter_Resize_Components

Declare Sub Broswer_Splitter_OnMouseDown(b As Integer, x As Integer, y As Integer, s As Integer)
Declare Sub Broswer_Splitter_Timer_OnTimer
Declare Sub Broswer_Splitter_OnMouseUp(b As Integer, x As Integer, y As Integer, s As Integer)
Declare Sub Broswer_Splitter_Resize_Components

Declare Sub ProjectNameForm_OnShow
Declare Sub ProjectNameButton1_OnClick
Declare Sub ProjectNameButton2_OnClick
Declare Sub ProjectNameForm_OnKeyDown(Key As Word, Shift As Integer)

Declare Sub EditAide_Help_Form_OnShow

Declare Sub JumpToForm_OnShow
Declare Sub JumpToButton1_OnClick
Declare Sub JumpToButton2_OnClick
Declare Sub JumpToForm_OnKeyDown(Key As Word, Shift As Integer)

Declare Sub Get_LIB_Button_OnClick
Declare Sub Get_INC_Button_OnClick
Declare Sub Get_ICO_Button_OnClick

Declare Sub Find_ListView_Resize
Declare Sub Find_ListView_OnClick
Declare Sub Find_ListView_OnKeyPress(Key As Byte)
Declare Sub Find_ListView_OnChange(Index As Integer, Change As Byte)
Declare Sub Find_ListView_PM_OnClick
Declare Sub Toggle_ReplaceALL_CheckBoxes_OnClick
Declare Sub Clear_ReplaceALL_CheckBoxes

Declare Sub Set_Highlighting
Declare Sub Set_LineNumbering
Declare Sub Set_HLLN_Defaults

Declare Sub Tab_Property_ComboBox_OnChange

Declare Sub Clear_UnDoReDo_Buffer
Declare Sub Set_Tab_Font
Declare Sub Set_Tab_Color
Declare Sub Set_Def_Font
Declare Sub Set_Def_Color

Declare Sub Find_All_Button_OnClick
Declare Sub Find_What_Edit_OnChange

Declare Sub Replace_Checked_Button_OnClick

Declare Sub GetPathButton1_OnClick
Declare Sub GetPathButton2_OnClick
Declare Sub GetPathForm_OnShow
Declare Sub GetPathForm_OnPaint

Declare Sub ParameterButton1_OnClick
Declare Sub ParameterButton2_OnClick
Declare Sub ParameterForm_OnShow
Declare Sub ParameterForm_OnClose

Declare Sub Web_Nav_Edit_OnChange
Declare Sub Web_Nav_Button_OnClick

Declare Sub Browser_FolderTree_OnClick
Declare Sub Browser_FolderTree_OnKeyUp(ByVal key As Byte, ByVal shift As Long)

Declare Sub Browser_FileView_PM_OnClick(Sender As QMenuItem)
Declare Sub Browser_FileView_PM_Update(Sender As QStringList)

'popup menu subroutines.
Declare Sub Open_External_ProjectFile
Declare Sub PP_PM_Project_Editor_Load(filename As String)
Declare Sub PP_PM_Code_Editor_Load(filename As String)
Declare Sub PF_PM_Code_Editor_Load(filename As String)

'non-component subroutines.
Declare Sub Tab_Adjusted_File_Load(filename As String)
Declare Sub LoadFile(index As Long, filename As String)
Declare Function Check_For_Can_Load(need As Integer) As Long
Declare Function Shorten_Long_Filename(filename As String) As String
Declare Function Check_For_PE_Missing_Files() As Long
Declare Function Check_For_Running(exename As String) As Long
Declare Sub Compile_Run_OnClick(run_it As Long)
Declare Sub Run_OnClick
Declare Function ContextHelp_GetWord(index As Long) As String
Declare Sub ChgTabToSpc_OnKeyDown
Declare Sub ChgTabToSpc_OnPaste
Declare Sub Lose_Focus
Declare Sub Check_For_Modified
Declare Sub Update_Tab_Icon(index As Byte)
Declare Sub Update_StatusBar_Icon(index As Long)
Declare Sub Close_All_Tabs
Declare Sub Read_Defaults
Declare Sub Save_Defaults

Declare Sub Test_OnClick
