'All (and only) RapidQ non-visible objects.

Dim Input_Output_Splitter_Timer As QTimer
    Input_Output_Splitter_Timer.Enabled  = False
    Input_Output_Splitter_Timer.Interval = 10
    Input_Output_Splitter_Timer.OnTimer  = Input_Output_Splitter_Timer_OnTimer

Dim Browser_Splitter_Timer As QTimer
    Browser_Splitter_Timer.Enabled  = False
    Browser_Splitter_Timer.Interval = 10
    Browser_Splitter_Timer.OnTimer  = Broswer_Splitter_Timer_OnTimer

Dim TabImageList As QImageList
    TabImageList.Width  = 16
    TabImageList.Height = 16
    TabImageList.AddICOhandle(sUNM)
    TabImageList.AddICOhandle(mUNM)
    TabImageList.AddICOhandle(sINC)
    TabImageList.AddICOhandle(mINC)
    TabImageList.AddICOhandle(sSRC)
    TabImageList.AddICOhandle(mSRC)

Dim sbImageList As QImageList
    sbImageList.Width  = 14
    sbImageList.Height = 14
    sbImageList.AddICOhandle(GO)
    sbImageList.AddICOhandle(STOP)

Dim DefaultFont As QFont
    DefaultFont.Name      = "Courier New"
    DefaultFont.Size      = 10
    DefaultFont.Color     = RGB(000,000,000)
    DefaultFont.Bold      = False
    DefaultFont.Italic    = False
    DefaultFont.Strikeout = False
    DefaultFont.Underline = False
    DefaultFont.CharSet   = DEFAULT_CHARSET

Dim TabCtrlFont As QFont
    TabCtrlFont.Name  = "Arial"
    TabCtrlFont.Color = RGB(000,000,000)
    TabCtrlFont.Size  = 9

Dim HiLiteFont As QFont

Dim TabFont As QFont

Dim MemoryStream As QMemoryStream

Dim ResMemStream As QMemoryStream

Dim CompileStream As QFileStream

Dim RQ_HelpList As QStringList
Dim API_HelpList As QStringList

Dim IniFile     As QStringList
Dim TestIniFile As QStringList

Dim ProjectList As QStringList

Dim ValidExt As QStringList
    ValidExt.AddItems("bas","rqb","rqw","inc","txt")

Dim CompileExt As QStringList
    CompileExt.AddItems("bas","rqb","rqw")

Dim OpenEmptyTabIndex As QStringList

Dim Find_StringList As QStringList

Dim Compare_StringList As QStringList

'Dim AvailablePaperSizesList As QStringlist
'Dim AvailablePaperNamesList As QStringlist

'Dim Page       As QStringList
'Dim rcMargin   As QRect

Dim ParserList As QStringList
    ParserList.AddItems(Chr$(009))  ' Tab
    ParserList.AddItems(Chr$(010))  ' LineFeed
    ParserList.AddItems(Chr$(013))  ' Carriage Return
    ParserList.AddItems(Chr$(032))  ' Space
    ParserList.AddItems(Chr$(033))  ' Exclamation Point
    ParserList.AddItems(Chr$(034))  ' Quotation Mark
    ParserList.AddItems(Chr$(035))  ' Number/Hash/Pound Sign
    ParserList.AddItems(Chr$(037))  ' Percent Sign
    ParserList.AddItems(Chr$(038))  ' Ampersand
    ParserList.AddItems(Chr$(039))  ' Apostrophe
    ParserList.AddItems(Chr$(040))  ' Left Parenthesis
    ParserList.AddItems(Chr$(041))  ' Right Parenthesis
    ParserList.AddItems(Chr$(042))  ' Asterisk/Multiplication Sign
    ParserList.AddItems(Chr$(043))  ' Concatenate/Addition Sign
    ParserList.AddItems(Chr$(044))  ' Comma
    ParserList.AddItems(Chr$(045))  ' UnConcatenate/Subtraction Sign
    ParserList.AddItems(Chr$(046))  ' Period/Decimal Point
    ParserList.AddItems(Chr$(047))  ' BackSlash
    ParserList.AddItems(Chr$(058))  ' Colon
    ParserList.AddItems(Chr$(059))  ' SemiColon
    ParserList.AddItems(Chr$(060))  ' Less Than Sign
    ParserList.AddItems(Chr$(061))  ' Equal Sign
    ParserList.AddItems(Chr$(062))  ' Greater Than Sign
    ParserList.AddItems(Chr$(063))  ' Question Mark
    ParserList.AddItems(Chr$(064))  ' At Symbol
    ParserList.AddItems(Chr$(091))  ' Left Square Bracket
    ParserList.AddItems(Chr$(092))  ' Forward Slash
    ParserList.AddItems(Chr$(093))  ' Right Square Bracket
    ParserList.AddItems(Chr$(094))  ' Caret/Exponent Sign
    ParserList.AddItems(Chr$(096))  ' Grave/BackQuote
    ParserList.AddItems(Chr$(123))  ' Left Curly Bracket
    ParserList.AddItems(Chr$(124))  ' Pipe
    ParserList.AddItems(Chr$(125))  ' Right Curly Bracket
    ParserList.AddItems(Chr$(126))  ' Tilde

Dim WebStringList As QStringList
    WebStringList.AddItems(InstallPath & "blank.html")
    WebStringList.AddItems("http://tech.groups.yahoo.com/group/rapidq/")
    WebStringList.AddItems("http://rapidq.phatcode.net/")
    WebStringList.AddItems("http://www.freewebs.com/snakedile/")
    WebStringList.AddItems("http://erdemal.webhop.org/RapidQ/")
    WebStringList.AddItems("http://www.wildgardenseed.com/RQDP/")
    WebStringList.AddItems("http://g.slyip.com/?f=7306")
    WebStringList.AddItems("http://home.planet.nl/%7Ewater793/indexrq.htm")
    WebStringList.AddItems("http://www.google.com")
    WebStringList.AddItems("http://msdn.microsoft.com/en-us/library/aa139672(loband).aspx")

Dim ManifestList As QStringList
    ManifestList.AddItems("<?xml version=" & Chr$(34) & "1.0" & Chr$(34) & " encoding=" & Chr$(34) & "UTF-8" & Chr$(34) & " standalone=" & Chr$(34) & "yes" & Chr$(34) & "?>")
    ManifestList.AddItems("<assembly xmlns=" & Chr$(34) & "urn:schemas-microsoft-com:asm.v1" & Chr$(34) & " manifestVersion=" & Chr$(34) & "1.0" & Chr$(34) & ">")
    ManifestList.AddItems("<description></description>")
    ManifestList.AddItems("<dependency>")
    ManifestList.AddItems("    <dependentAssembly>")
    ManifestList.AddItems("        <assemblyIdentity")
    ManifestList.AddItems("            type=" & Chr$(34) & "win32" & Chr$(34))
    ManifestList.AddItems("            name=" & Chr$(34) & "Microsoft.Windows.Common-Controls" & Chr$(34))
    ManifestList.AddItems("            version=" & Chr$(34) & "6.0.1.0" & Chr$(34))
    ManifestList.AddItems("            processorArchitecture=" & Chr$(34) & "x86" & Chr$(34))
    ManifestList.AddItems("            publicKeyToken=" & Chr$(34) & "6595b64144ccf1df" & Chr$(34))
    ManifestList.AddItems("            language=" & Chr$(34) & "*" & Chr$(34))
    ManifestList.AddItems("        />")
    ManifestList.AddItems("    </dependentAssembly>")
    ManifestList.AddItems("</dependency>")
    ManifestList.AddItems("</assembly>")
