'All (and only) API items such as... Constants, Structures, and Functions.
Const GWL_WNDPROC    = (-4)
Const GWL_HWNDPARENT = (-8)
Const GWL_STYLE      = (-16)
Const GWL_EXSTYLE    = (-20)

Const GW_CHILD    = 5
Const GW_HWNDNEXT = 2

Const HWND_DESKTOP = &H0

Const WM_SETTEXT       = &HC
Const WM_GETTEXT       = &HD
Const WM_GETTEXTLENGTH = &HE
Const WM_PAINT         = &HF
Const WM_SETFONT       = &H30
Const WM_KEYDOWN       = &H100
Const WM_KEYUP         = &H101
Const WM_CHAR          = &H102
Const WM_LBUTTONUP     = &H202
Const WM_LBUTTONDBLCLK = &H203
Const WM_RBUTTONUP     = &H205
Const WM_DROPFILES     = &H233
Const WM_CUT           = &H300
Const WM_COPY          = &H301
Const WM_PASTE         = &H302

Const WM_GETTEXTLENGTHEX = &H45F

Const WS_EX_ACCEPTFILES = &H10
Const WS_EX_WINDOWEDGE  = &H100
Const WS_EX_CLIENTEDGE  = &H200

Const WS_TABSTOP      = &H10000
Const WS_HSCROLL      = &H100000
Const WS_VSCROLL      = &H200000
Const WS_CLIPCHILDREN = &H2000000
Const WS_CLIPSIBLINGS = &H4000000
Const WS_VISIBLE      = &H10000000
Const WS_CHILD        = &H40000000

Const ES_MULTILINE = &H4
Const ES_NOHIDESEL = &H100

Const CP_ACP = 0

Const ENHANCED_KEY = &H100

Const VK_TAB     = &H9
Const VK_SHIFT   = &H10
Const VK_CONTROL = &H11
Const VK_CAPITAL = &H14
Const VK_INSERT  = &H2D
Const VK_DELETE  = &H2E
Const VK_A       = &H41
Const VK_N       = &H4E
Const VK_O       = &H4F
Const VK_P       = &H50
Const VK_S       = &H53
Const VK_T       = &H54
Const VK_V       = &H56
Const VK_W       = &H57
Const VK_F1      = &H70
Const VK_F3      = &H72
Const VK_F5      = &H74

Const EM_GETSEL              = &HB0
Const EM_SETSEL              = &HB1
Const EM_GETMODIFY           = &HB8
Const EM_SETMODIFY           = &HB9
Const EM_GETLINECOUNT        = &HBA
Const EM_LINEINDEX           = &HBB
Const EM_REPLACESEL          = &HC2
Const EM_GETLINE             = &HC4
Const EM_CANUNDO             = &HC6
Const EM_UNDO                = &HC7
Const EM_LINEFROMCHAR        = &HC9
Const EM_EMPTYUNDOBUFFER     = &HCD
Const EM_GETFIRSTVISIBLELINE = &HCE
Const EM_EXGETSEL            = &H434
Const EM_EXLIMITTEXT         = &H435
Const EM_EXLINEFROMCHAR      = &H436
Const EM_EXSETSEL            = &H437
Const EM_FORMATRANGE         = &H439
Const EM_GETSELTEXT          = &H43E
Const EM_SETBKGNDCOLOR       = &H443
Const EM_SETCHARFORMAT       = &H444
Const EM_SETTARGETDEVICE     = &H448
Const EM_STREAMIN            = &H449
Const EM_STREAMOUT           = &H44A
Const EM_FINDTEXTEX          = &H44F
Const EM_REDO                = &H454
Const EM_CANREDO             = &H455
Const EM_GETUNDONAME         = &H456
Const EM_GETREDONAME         = &H457
Const EM_SETTEXTMODE         = &H459
Const EM_SETTEXTEX           = &H461
Const EM_SETSCROLLPOS        = &H4DE

Const TM_PLAINTEXT       = 1
Const TM_RICHTEXT        = 2
Const TM_SINGLELEVELUNDO = 4
Const TM_MULTILEVELUNDO  = 8
Const TM_SINGLECODEPAGE  = 16
Const TM_MULTICODEPAGE   = 32 

Const ercUID_UNKNOWN  = 0
Const ercUID_TYPING   = 1
Const ercUID_DELETE   = 2
Const ercUID_DRAGDROP = 3
Const ercUID_CUT      = 4
Const ercUID_PASTE    = 5

Const ST_KEEPUNDO = 1

Const SCF_ALL = &H4

Const SWP_NOSIZE       = &H1
Const SWP_NOMOVE       = &H2
Const SWP_FRAMECHANGED = &H20

Const SW_HIDE       = 0
Const SW_SHOWNORMAL = 1

Const SF_TEXT = &H1

Const CF_TEXT        = 1
Const CF_UNICODETEXT = 13

Const CFE_BOLD      = &H1
Const CFE_ITALIC    = &H2
Const CFE_UNDERLINE = &H4
Const CFE_STRIKEOUT = &H8

Const CFM_BOLD      = &H1
Const CFM_ITALIC    = &H2
Const CFM_UNDERLINE = &H4
Const CFM_STRIKEOUT = &H8
Const CFM_CHARSET   = &H8000000
Const CFM_FACE      = &H20000000
Const CFM_COLOR     = &H40000000
Const CFM_SIZE      = &H80000000

Const FR_DOWN      = &H1
Const FR_WHOLEWORD = &H2
Const FR_MATCHCASE = &H4

Const BS_OWNERDRAW = &HB
Const BS_MULTILINE = &H2000

Const HELP_PARTIALKEY = &H105

Const HH_DISPLAY_TOC    = &H1
Const HH_DISPLAY_SEARCH = &H3  

Const BM_CLICK = &HF5

Const TVE_EXPAND = &H2

Const TVS_NOTOOLTIPS = &H80

Const TVGN_CARET = &H9

Const TVM_EXPAND       = &H1102
Const TVM_SETIMAGELIST = &H1109
Const TVM_GETNEXTITEM  = &H110A

Const TVSIL_NORMAL = &H0
Const TVSIL_STATE  = &H2

Const SB_SETICON = &H40F

Const LVM_SETIMAGELIST = &H1003
Const LVM_GETITEMA     = &H1005
Const LVM_SETITEMA     = &H1006
Const LVM_GETHEADER    = &H101F
Const LVM_SETITEMSTATE = &H102B
Const LVM_GETITEMSTATE = &H102C

Const LVM_SETEXTENDEDLISTVIEWSTYLE = &H1036

Const LVSIL_NORMAL = 0
Const LVSIL_SMALL  = 1

Const LVIS_UNCHECKED      = &H1000
Const LVIS_CHECKED        = &H2000
Const LVIS_STATEIMAGEMASK = &HF000

Const LVIF_TEXT  = &H1
Const LVIF_STATE = &H8

Const LVS_EX_LABELTIP = &H4000

Const TCIF_IMAGE         = &H2
Const TCM_SETIMAGELIST   = &H1303
Const TCM_SETPADDING     = &H132B
Const TCM_GETITEMW       = &H133C
Const TCM_SETITEMW       = &H133D
Const TCS_BUTTONS        = &H100
Const TCS_MULTILINE      = &H200
Const TCS_OWNERDRAWFIXED = &H2000
Const TCS_FOCUSNEVER     = &H8000

Const TH32CS_SNAPHEAPLIST = &H1
Const TH32CS_SNAPPROCESS  = &H2
Const TH32CS_SNAPTHREAD   = &H4
Const TH32CS_SNAPMODULE   = &H8
Const TH32CS_SNAPALL      = (TH32CS_SNAPHEAPLIST Or TH32CS_SNAPPROCESS Or TH32CS_SNAPTHREAD Or TH32CS_SNAPMODULE)

Const BIF_RETURNONLYFSDIRS  = 1
Const BIF_DONTGOBELOWDOMAIN = 2
Const MAX_PATH              = 260

Const FILE_ATTRIBUTE_DIRECTORY = &H10

Const SHGFI_SMALLICON    = &H1
Const SHGFI_ICON         = &H100
Const SHGFI_DISPLAYNAME  = &H200
Const SHGFI_TYPENAME     = &H400
Const SHGFI_SYSICONINDEX = &H4000

Const HDM_GETITEMA     = &H1203
Const HDM_SETITEMA     = &H1204
Const HDM_SETIMAGELIST = &H1208

Const HDI_TEXT   = &H2
Const HDI_FORMAT = &H4
Const HDI_IMAGE  = &H20

Const HDF_IMAGE           = &H800
Const HDF_BITMAP_ON_RIGHT = &H1000
Const HDF_STRING          = &H4000

Const HDSIL_NORMAL = 0

Const GTL_NUMCHARS = 8

Const DMORIENT_PORTRAIT  = 1
Const DMORIENT_LANDSCAPE = 2

Const PSD_MARGINS                   = &H2
Const PSD_INTHOUSANDTHSOFINCHES     = &H4
Const PSD_INHUNDREDTHSOFMILLIMETERS = &H8
Const PSD_DISABLEPRINTER            = &H20
Const PSD_RETURNDEFAULT             = &H400

Const PD_ALLPAGES                   = &H0
Const PD_NOSELECTION                = &H4
Const PD_RETURNDC                   = &H100
Const PD_RETURNDEFAULT              = &H400
Const PD_USEDEVMODECOPIESANDCOLLATE = &H40000
Const PD_HIDEPRINTTOFILE            = &H100000

Const HORZRES = &H8
Const VERTRES = &HA

Const LOGPIXELSX = &H58
Const LOGPIXELSY = &H5A

Const PHYSICALWIDTH   = &H6E
Const PHYSICALHEIGHT  = &H6F
Const PHYSICALOFFSETX = &H70
Const PHYSICALOFFSETY = &H71

Const LOCALE_IMEASURE     = &HD
Const LOCALE_USER_DEFAULT = &H400

Type TCITEM_UDT
    mask        As Integer
    dwState     As DWord
    dwStateMask As DWord
    pszText     As Long
    cchTextMax  As Integer
    iImage      As Integer
    lParam      As Long
End Type

Dim TCI As TCITEM_UDT
    TCI.mask = TCIF_IMAGE

Type TCHOOSECOLOR
    lStructSize         As Long
    hWndOwner           As Long
    hInstance           As Long
    rgbResult           As Long
    CustColors(1 To 16) As Long
    Flags               As DWord
    lCustData           As Long
    lpfnHook            As Long
    lpTemplateName      As Long
End Type

Dim CC As TCHOOSECOLOR
    CC.lStructSize = SizeOf(CC)

Type CHARFORMAT_UDT
    cbSize          As Short
    wPad1           As Short
    dwMask          As Long
    dwEffects       As Long
    yHeight         As Long
    yOffset         As Long
    crTextColor     As Long
    bCharSet        As Byte
    bPitchAndFamily As Byte
    szFaceName      As String * 32
    wPad2           As Short
    wWeight         As Short
    sSpacing        As Short
    crBackColor     As Long
    LCID            As Long
    dwReserved      As Long
    sStyle          As Short
    wKerning        As Short
    bUnderlineType  As Byte
    bAnimation      As Byte
    bRevAuthor      As Byte
    bReserved1      As Byte
End Type

Dim CHARFORMAT As CHARFORMAT_UDT
    CHARFORMAT.cbSize   = 84
    CHARFORMAT.bCharSet = DEFAULT_CHARSET

Type SELRANGE_UDT
    cpMin As Long
    cpMax As Long
End Type

Dim SetSELRANGE As SELRANGE_UDT
Dim GetSELRANGE As SELRANGE_UDT

Type EDITSTREAM_UDT
    dwCookie    As Long
    dwError     As Long
    pfnCallback As Long
End Type

Dim EDITSTREAM As EDITSTREAM_UDT

Type SETTEXTEX_UDT
    dwFlags  As Long
    CodePage As Long
End Type

Dim SETTEXTEX As SETTEXTEX_UDT
    SETTEXTEX.dwFlags  = ST_KEEPUNDO
    SETTEXTEX.CodePage = CP_ACP

Type POINT_UDT
    x As Long
    y As Long
End Type

Dim POINT As POINT_UDT

Type FINDTEXTEX_UDT
    chrg_cpMin     As Long
    chrg_cpMax     As Long
    lpstrText      As Long
    chrgText_cpMin As Long
    chrgText_cpMax As Long
End Type

Dim FINDTEXTEX As FINDTEXTEX_UDT

Type LVITEM_UDT
    mask       As Long
    iItem      As Long
    iSubItem   As Long
    state      As Long
    stateMask  As Long
    pszText    As Long
    cchTextMax As Long
    iImage     As Long
    lParam     As Long
    iIndent    As Long
End Type

Dim LVITEM As LVITEM_UDT

Type FILETIME_UDT
    dwLowDateTime  As Long
    dwHighDateTime As Long
End Type

Dim cFILETIME As FILETIME_UDT 'Creation Time
Dim aFILETIME As FILETIME_UDT 'Access Time (last)
Dim mFILETIME As FILETIME_UDT 'Modified Time (last)

Type SYSTEMTIME_UDT
    wYear         As Short
    wMonth        As Short
    wDayOfWeek    As Short
    wDay          As Short
    wHour         As Short
    wMinute       As Short
    wSecond       As Short
    wMilliseconds As Short
End Type

Dim SYSTEMTIME As SYSTEMTIME_UDT

Type PROCESSENTRY32_UDT
    dwSize              As Long
    cntUsage            As Long
    th32ProcessID       As Long
    th32DefaultHeapID   As Long
    th32ModuleID        As Long
    cntThreads          As Long
    th32ParentProcessID As Long
    pcPriClassBase      As Long
    dwFlags             As Long
    szExeFile           As String * 260
End Type

Dim PROCESSENTRY32 As PROCESSENTRY32_UDT
    PROCESSENTRY32.dwSize = SizeOf(PROCESSENTRY32)

Type BROWSEINFO_UDT
    hWndOwner      As Long
    pIDLRoot       As Long
    pszDisplayName As Long
    lpszTitle      As Long
    ulFlags        As Long
    lpfnCallback   As Long
    lParam         As Long
    iImage         As Long
End Type

Dim BROWSEINFO As BROWSEINFO_UDT

Type SHFILEINFO_UDT
    hIcon         As Long
    iIcon         As Integer
    dwAttributes  As DWord
    szDisplayName As String * 260
    szTypeName    As String * 80
End Type

Dim ftSFI As SHFILEINFO_UDT
Dim fvSFI As SHFILEINFO_UDT

Type HD_ITEM_UDT
    mask         As Long
    cxy          As Long
    pszText      As Long
    hbm          As Long
    cchTextMax   As Long
    fmt          As Long
    lParam       As Long
    iImage       As Long
    iOrder       As Long
    pvFilterType As Long
    pvFilter     As Long
End Type

Dim HDI As HD_ITEM_UDT
    HDI.mask = HDI_FORMAT Or HDI_IMAGE Or HDI_TEXT

Type HH_FTS_QUERY_UDT
    cbStruct        As Long
    fUniCodeStrings As Long
    pszSearchQuery  As Long
    iProximity      As Long
    fStemmedSearch  As Long
    fTitleOnly      As Long
    fExecute        As Long
    pszWindow       As Long
End Type

Dim HH_FTS_QUERY As HH_FTS_QUERY_UDT
    HH_FTS_QUERY.cbStruct        = SizeOf(HH_FTS_QUERY)
    HH_FTS_QUERY.fUniCodeStrings = False
    HH_FTS_QUERY.pszSearchQuery  = 0
    HH_FTS_QUERY.iProximity      = -1
    HH_FTS_QUERY.fStemmedSearch  = False
    HH_FTS_QUERY.fTitleOnly      = False
    HH_FTS_QUERY.fExecute        = True
    HH_FTS_QUERY.pszWindow       = 0

Type RECT_UDT
    Left   As Long
    Top    As Long
    Right  As Long
    Bottom As Long
End Type

Type GETTEXTLENGTHEX_UDT
  flags    As Dword
  codepage As Word
End Type

Dim GTL As GETTEXTLENGTHEX_UDT
    GTL.flags    = GTL_NUMCHARS
    GTL.codepage = CP_ACP

Type DEVICEMODEA_UDT
    dmDeviceName       As String * 32
    dmSpecVersion      As Short
    dmDriverVersion    As Short
    dmSize             As Short
    dmDriverExtra      As Short
    dmFields           As DWord
    dmOrientation      As Short
    dmPaperSize        As Short
    dmPaperLength      As Short
    dmPaperWidth       As Short
    dmScale            As Short
    dmCopies           As Short
    dmDefaultSource    As Short
    dmPrintQuality     As Short
    dmColor            As Short
    dmDuplex           As Short
    dmYResolution      As Short
    dmTTOption         As Short
    dmCollate          As Short
    dmFormName         As String * 32
    dmLogPixels        As Word
    dmBitsPerPel       As DWord
    dmPelsWidth        As DWord
    dmPelsHeight       As DWord
    dmDisplayFlags     As DWord
    dmNup              As DWord
    dmICMMethod        As DWord
    dmICMIntent        As DWord
    dmMediaType        As DWord
    dmDitherType       As DWord
    dmReserved1        As DWord
    dmReserved2        As DWord
    dmPanningWidth     As DWord
    dmPanningHeight    As DWord
End Type

Dim DM As DEVICEMODEA_UDT

Type DOCINFO_UDT
    cbSize       As Long
    lpszDocName  As Long 'String
    lpszOutput   As Long 'String
    lpszDatatype As Long 'String
    fwType       As Long
End Type

Dim DI As DOCINFO_UDT

Type FORMATRANGE_UDT
    hdc           As Long
    hdcTarget     As Long
    rc_Left       As Long
    rc_Top        As Long
    rc_Right      As Long
    rc_Bottom     As Long
    rcPage_Left   As Long
    rcPage_Top    As Long
    rcPage_Right  As Long
    rcPage_Bottom As Long
    chrg_cpMin    As Long
    chrg_cpMax    As Long
End Type

Dim FR As FORMATRANGE_UDT

Type PAGESETUPDIALOG_UDT
    lStructSize         As Long
    hWndOwner           As Long
    hDevMode            As Long
    hDevNames           As Long
    Flags               As Long
    ptPaperSizeX        As Long
    ptPaperSizeY        As Long
    rtMinMarginLeft     As Long
    rtMinMarginTop      As Long
    rtMinMarginRight    As Long
    rtMinMarginBottom   As Long
    rtMarginLeft        As Long
    rtMarginTop         As Long
    rtMarginRight       As Long
    rtMarginBottom      As Long
    hInstance           As Long
    lCustData           As Long
    lpfnPageSetupHook   As Long
    lpfnPagePaintHook   As Long
    lpPageSetupTemplate As Long
    hPageSetupTemplate  As Long
End Type

Dim PSD As PAGESETUPDIALOG_UDT

Type PRINTDIALOG_UDT
    lStructSize         As Long
    hWndOwner           As Long
    hDevMode            As Long
    hDevNames           As Long
    hDC                 As Long
    flags               As Long
    nFromPage           As Word
    nToPage             As Word
    nMinPage            As Word
    nMaxPage            As Word
    nCopies             As Word
    hInstance           As Long
    lCustData           As Long
    lpfnPrintHook       As Long
    lpfnSetupHook       As Long
    lpPrintTemplateName As Long
    lpSetupTemplateName As Long
    hPrintTemplate      As Long
    hSetupTemplate      As Long
End Type

Dim PD As PRINTDIALOG_UDT

Type OSVERSIONINFOEX_UDT
    dwOSVersionInfoSize As Long
    dwMajorVersion      As Long
    dwMinorVersion      As Long
    dwBuildNumber       As Long
    dwPlatformId        As Long
    szCSDVersion        As String * 128
    wServicePackMajor   As Word
    wServicePackMinor   As Word
    wSuiteMask          As Word
    wProductType        As Byte
    wReserved           As Byte
End Type

Dim VI As OSVERSIONINFOEX_UDT
    VI.dwOSVersionInfoSize = SizeOf(VI)

Declare Function ChooseColorDlg _
        Lib "comdlg32" Alias "ChooseColorA" _
        (ByRef CC As TCHOOSECOLOR) As Long

Declare Function PageSetupDlg _
        Lib "comdlg32" Alias "PageSetupDlgA" _
        (ByRef lpPageSetupDialog As PAGESETUPDIALOG_UDT) As Long

Declare Function PrintDlg _
        Lib "comdlg32" Alias "PrintDlgA" _
        (ByRef lpPrintDialog As PRINTDIALOG_UDT) As Long

Declare Function ImageList_AddIcon _
        Lib "comctl32" Alias "ImageList_AddIcon" _
        (ByVal himl As Long, ByVal hIcon As Long) As Long

Declare Function ImageList_GetIcon _
        Lib "comctl32" Alias "ImageList_GetIcon" _
        (ByVal hImageList As Long, ByVal ImgIndex As Long, _
        ByVal fuFlags As Long) As Long

Declare Function CreateEnhMetaFile _
        Lib "gdi32" Alias "CreateEnhMetaFileA" _
        (ByVal hdcRef As Long, ByVal lpFilename As Long, _
        ByRef lpRect As RECT_UDT, ByVal lpDescription As Long) As Long

Declare Function CloseEnhMetaFile _
        Lib "gdi32" Alias "CloseEnhMetaFile" _
        (ByVal hdc As Long) As Long

Declare Function ResetDC _
        Lib "gdi32" Alias "ResetDCA" _
        (ByVal hdc As Long, ByRef lpdevicemode As DEVICEMODEA_UDT) As Long

Declare Function DeleteDC _
        Lib "gdi32" Alias "DeleteDC" _
        (ByVal hdc As Long) As Long

Declare Function DeleteEnhMetaFile _
        Lib "gdi32" Alias "DeleteEnhMetaFile" _
        (ByVal hEMF As Long) As Long

Declare Function EndDoc _
        Lib "gdi32" Alias "EndDoc" _
        (ByVal hdc As Long) As Long

Declare Function EndPage _
        Lib "gdi32" Alias "EndPage" _
        (ByVal hdc As Long) As Long

Declare Function GetDeviceCaps _
        Lib "gdi32" Alias "GetDeviceCaps" _
        (ByVal hdc As Long, ByVal nIndex As Long) As Long

Declare Function PlayEnhMetaFile _
        Lib "gdi32" Alias "PlayEnhMetaFile" _
        (ByVal hDC As Long, ByVal hEMF As Long, ByRef lpRect As RECT_UDT) As Long

Declare Function StartDoc _
        Lib "gdi32" Alias "StartDocA" _
        (ByVal hdc As Long, ByRef lpdi As DOCINFO_UDT) As Long

Declare Function StartPage _
        Lib "gdi32" Alias "StartPage" _
        (ByVal hdc As Long) As Long

Declare Function HtmlHelp _
        Lib "hhctrl.ocx" Alias "HtmlHelpA" _
        (ByVal hWndCaller As Long, ByVal pszFile As String, _
         ByVal uCommand As Long, ByRef dwData As HH_FTS_QUERY_UDT) As Long

Declare Function CloseHandle _
        Lib "kernel32" Alias "CloseHandle" _
        (ByVal hObject As Long) As Long

Declare Function CreateToolhelp32Snapshot _
        Lib "kernel32" Alias "CreateToolhelp32Snapshot" _
        (ByVal lFlags As Long, ByVal lProcessID As Long) As Long

Declare Function FileTimeToLocalFileTime _
        Lib "kernel32" Alias "FileTimeToLocalFileTime" _
        (ByRef lpFileTime As FILETIME_UDT, ByRef lpLocalFileTime As FILETIME_UDT) As Long

Declare Function FileTimeToSystemTime _
        Lib "kernel32" Alias "FileTimeToSystemTime" _
        (ByRef lpFileTime As FILETIME_UDT, ByRef lpSystemTime As SYSTEMTIME_UDT) As Long

Declare Function FreeLibrary _
        Lib "kernel32" Alias "FreeLibrary" _
        (ByVal hInst As Long) As Long

Declare Function GetDriveType _
        Lib "kernel32" Alias "GetDriveTypeA" _
        (ByVal nDrive As String) As Long

Declare Function GetFileAttributes _
        Lib "kernel32" Alias "GetFileAttributesA" _
        (ByVal lpFileName As String) As Long

Declare Function GetFileTime _
        Lib "kernel32" Alias "GetFileTime" _
        (ByVal hFile As Long, ByRef lpCreationTime As FILETIME_UDT, _
         ByRef lpLastAccessTime As FILETIME_UDT, ByRef lpLastWriteTime As FILETIME_UDT) As Long

Declare Function GetFileSize _
        Lib "kernel32" Alias "GetFileSize" _
        (ByVal hFile As Long, lpFileSizeHigh As Long) As Long

Declare Function GetLocaleInfo _
        Lib "kernel32" Alias "GetLocaleInfoA" _
        (ByVal Locale As Long, ByVal LCType As Long, _
         ByVal lpLCData As Long, ByVal cchData As Long) As Long

Declare Function GetLogicalDrives _
        Lib "kernel32" Alias "GetLogicalDrives" _
        () As Long

Declare Function GetVersionEx _
        Lib "kernel32" Alias "GetVersionExA" _
        (ByRef lpVersionInformation As OSVERSIONINFOEX_UDT) As Long

Declare Function GetVolumeInformation _
        Lib "kernel32" Alias "GetVolumeInformationA" _
        (ByVal lpRootPathName As Long, ByVal lpVolumeNameBuffer As Long, _
         ByVal nVolumeNameSize As Long, ByVal lpVolumeSerialNumber As Long, _
         ByVal lpMaximumComponentLength As Long, ByVal lpFileSystemFlags As Long, _
         ByVal lpFileSystemNameBuffer As Long, ByVal nFileSystemNameSize As Long) As Long

Declare Function GlobalLock Lib "kernel32" Alias "GlobalLock" _
        (ByVal hMem As Long) As Long

Declare Function GlobalUnlock Lib "kernel32" Alias "GlobalUnlock" _
        (ByVal hMem As Long) As Long

Declare Function LoadLibrary _
        Lib "kernel32" Alias "LoadLibraryA" _
        (ByVal LibFileName As String) As Long

Declare Function Process32First _
        Lib "kernel32" Alias "Process32First" _
        (ByVal hSnapShot As Long, ByRef uProcess As PROCESSENTRY32_UDT) As Long

Declare Function Process32Next _
        Lib "kernel32" Alias "Process32Next" _
        (ByVal hSnapShot As Long, ByRef uProcess As PROCESSENTRY32_UDT) As Long

Declare Function WaitForSingleObject _
        Lib "kernel32" Alias "WaitForSingleObject" _
        (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long

Declare Function _lOpen _
        Lib "kernel32" Alias "_lopen" _
        (ByVal lpPathName As String, ByVal iReadWrite As Long) As Long

Declare Function _lClose _
        Lib "kernel32" Alias "_lclose" _
        (ByVal hFile As Long) As Long

Declare Function DragQueryFile _
        Lib "shell32" Alias "DragQueryFileA" _
        (ByVal hDrop As Long, ByVal uInt As Long, _
         ByVal lpStr As Long, ByVal ch As Long) As Long

Declare Sub DragFinish _
        Lib "shell32" Alias "DragFinish" _
        (ByVal hDrop As Long)

Declare Function IsUserAnAdmin _
        Lib "shell32" Alias "IsUserAnAdmin" _
        () As Long

Declare Function SHBrowseForFolder _
        Lib "shell32" Alias "SHBrowseForFolder" _
        (ByRef lpbi As BROWSEINFO_UDT) As Long

Declare Function SHGetFileInfo _
        Lib "shell32" Alias "SHGetFileInfoA" _
        (ByVal pszPath As String, ByVal dwFileAttributes As Long, _
         ByRef psfi As SHFILEINFO_UDT, ByVal cbFileInfo As Long, _
         ByVal uFlags As Long) As Dword

Declare Function SHGetPathFromIDList _
        Lib "shell32" Alias "SHGetPathFromIDList" _
        (ByVal pidList As Long, ByVal lpBuffer As String) As Long

Declare Function CallWindowProc _
        Lib "user32" Alias "CallWindowProcA" _
        (ByVal lpPrevWndFunc As Long, ByVal hWnd As Long, ByVal Msg As Long, _
         ByVal wParam As Long, ByVal lParam As Long) As Long

Declare Function CreateWindowEx _
        Lib "user32" Alias "CreateWindowExA" _
        (ByVal dwExStyle As Long, ByVal lpClassName As String, _
         ByVal lpWindowName As String, ByVal dwStyle As Long, _
         ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, _
         ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, _
         ByVal hInstance As Long, ByVal lpParam As Long) As Long

Declare Function DestroyIcon _
        Lib "user32" Alias "DestroyIcon" _
        (ByVal hIcon As Long) As Long

Declare Function DestroyWindow _
        Lib "user32" Alias "DestroyWindow" _
        (ByVal hWnd as Long) As Long

Declare Function GetClassName _
        Lib "user32" Alias "GetClassNameA" _
        (ByVal hWnd As Long, ByVal lpClassName As Long, _
         ByVal nMaxCount As Long) As Long

Declare Function GetClientRect _
        Lib "user32" Alias "GetClientRect" _
        (ByVal hWnd As Long, ByRef lpRect As QRect) As Long

Declare Function GetClipboardData _
        Lib "user32" Alias "GetClipboardData" _
        (ByVal wFormat As Long) As Long

Declare Function GetDC Lib "user32" Alias "GetDC" _
        (ByVal hWnd As Long) As Long

Declare Function GetDesktopWindow _
        Lib "user32" Alias "GetDesktopWindow" _
        () As Long

Declare Function GetFocus _
        Lib "user32" Alias "GetFocus" _
        () As Long

Declare Function GetKeyState _
        Lib "user32" Alias "GetKeyState" _
        (ByVal nVirtKey As Long) As Word 'Long

Declare Function GetParentAPI _
        Lib "user32" Alias "GetParent" _
        (ByVal hWnd As Long) As Long

Declare Function GetWindow _
        Lib "user32" Alias "GetWindow" _
        (ByVal hWnd As Long, ByVal wCmd As Long) As Long

Declare Function GetWindowDC _
        Lib "user32" Alias "GetWindowDC" _
        (ByVal hWnd As Long) As Long

Declare Function GetWindowLong _
        Lib "user32" Alias "GetWindowLongA" _
        (ByVal hWnd As Long, ByVal nIndex As Long) As Long

Declare Function GetWindowRect _
        Lib "user32" Alias "GetWindowRect" _
        (ByVal hWnd As Long, ByRef lpRect As RECT_UDT) As Long

Declare Function ReleaseDC _
        Lib "user32" Alias "ReleaseDC" _
        (ByVal hWnd As Long, ByVal hdc As Long) As Long

Declare Function SendMessageAPI _
        Lib "user32" Alias "SendMessageA" _
        (ByVal hWnd As Long, ByVal wMsg As Long, _
         ByVal wParam As Long, ByVal lParam As Long) As Long

Declare Function SetFocus _
        Lib "user32" Alias "SetFocus" _
        (ByVal hWnd As Long) As Long

Declare Function SetForegroundWindow Lib "user32" Alias "SetForegroundWindow" _
        (ByVal hWnd As Long) As Long

Declare Function SetParentAPI _
        Lib "user32" Alias "SetParent" _
        (ByVal hChild As Long, ByVal hNewParent As Long) As Long

Declare Function SetWindowLong _
        Lib "user32" Alias "SetWindowLongA" _
        (ByVal hWnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long

Declare Function SetWindowPos _
        Lib "user32" Alias "SetWindowPos" _
        (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, _
         ByVal x As Long, ByVal y As Long, _
         ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

Declare Function SetWindowText _
        Lib "user32" Alias "SetWindowTextA" _
        (ByVal hWnd As Long, ByVal lpString As String) As Long

Declare Function ShowWindow _
        Lib "user32" Alias "ShowWindow" _
        (ByVal hWnd As Long, ByVal nCmdShow As Long) As Long

Declare Function WinHelp _
        Lib "user32" Alias "WinHelpA" _
        (ByVal hWnd As Long, ByVal lpHelpFile As String, _
         ByVal wCommand As Long, ByVal dwData As Long) As Long

Declare Function InternetGetConnectedState _
        Lib "wininet" Alias "InternetGetConnectedState" _
        (ByVal lpdwFlags As Long, ByVal dwReserved As Long) As Long

Declare Function DeviceCapabilities _
        Lib "winspool.drv" Alias "DeviceCapabilitiesA" _
        (ByVal lpDeviceName As String, ByVal lpPort As String, ByVal iIndex As Long, _
         ByVal lpOutput As Long, ByVal lpDevMode As Long) As Long

Function TranslateType(ByVal eType As Long) As String
    Select Case eType
      Case ercUID_UNKNOWN
        TranslateType = "Last Action"
      Case ercUID_TYPING
        TranslateType = "Typing"
      Case ercUID_DELETE
        TranslateType = "Delete"
      Case ercUID_DRAGDROP
        TranslateType = "Drag Drop"
      Case ercUID_CUT
        TranslateType = "Cut"
      Case ercUID_PASTE
        TranslateType = "Paste"
    End Select
End Function

'Testing
Declare Function SetCursorPos Lib "user32" Alias "SetCursorPos" (ByVal X As Long, ByVal Y As Long) As Long
