'Input Output Object Subroutines

Sub Find_ListView_Resize
    If Find_ListView.Column(0).Width <> 60 Then Find_ListView.Column(0).Width = 60
    If Find_ListView.Column(1).Width <> 68 Then Find_ListView.Column(1).Width = 68
    Dim flvi  As Long
    Dim flvcc As Long
    Dim flvmw As Long
    Dim flvcw As Long
    flvmw = (ioPanel(3).Width - 130) - IIf(Find_ListView.ItemCount > 3, 17, 0)
    flvcc = Len(Find_ListView.Column(2).Caption)
    For flvi = 0 To (Find_ListView.ItemCount - 1)
      flvcc = IIF(Len(Find_ListView.SubItem(flvi, 1)) > flvcc, Len(Find_ListView.SubItem(flvi, 1)), flvcc)
    Next
    flvcw = (flvcc + 2) * 8
    Find_ListView.Column(2).Width = IIF(flvcw > flvmw, flvcw, flvmw)
End Sub

Sub Find_ListView_OnClick
    If Find_ListView.ItemCount = 0 Then SetFocus(Find_What_Edit.Handle)
End Sub

Sub Find_ListView_OnKeyPress(Key As Byte)
    If Find_ListView.ItemCount > 0 Then
      If Key = 13 Then
        If (RichEdit.GetText(TabNum) = Compare_StringList.Text) Then
          cpMin = Val(Field$(Find_StringList.Item(Find_ListView.ItemIndex),":",1))
          cpMax = Val(Field$(Find_StringList.Item(Find_ListView.ItemIndex),":",2))
          Richedit.SetSelStart(TabNum, Len(Richedit.GetText(TabNum)))
          Richedit.SetSelStart(TabNum, cpMin)
          Richedit.SetSelLength(TabNum, cpMax-cpMin)
          Update_Menus
          SetFocus(Find_ListView.Handle)
        Else
          MessageDlg("Error: Unable to perform Goto. The Source has changed." & Chr$(10) & Chr$(10) & _
                     "Solution: Run the Find All Matches again.", _
                     mtError, mbOk, 0)
          Find_ListView_PM_OnClick
          SetFocus(Find_What_Edit.Handle)
        End If
      End If
    Else
      SetFocus(Find_What_Edit.Handle)
    End If
End Sub

Sub Find_ListView_OnChange(Index As Integer, Change As Byte)
    If Find_ListView.Column(0).Width <> 60 Then Find_ListView.Column(0).Width = 60
    If Find_ListView.Column(1).Width <> 68 Then Find_ListView.Column(1).Width = 68
    If lvPause = True Then
      If Find_ListView.Item(Find_ListView.ItemCount-1).Caption <> " -->" Then Find_ListView.Item(Find_ListView.ItemCount-1).Caption = " -->"
    End If
End Sub

Sub Find_ListView_PM_OnClick
    Clear_ReplaceALL_CheckBoxes
    Compare_StringList.Clear
    Find_StringList.Clear
    Find_ListView.Clear
    Find_ListView.Column(2).Caption = " "
    Find_ListView_Resize
    Toggle_ReplaceALL_CheckBoxes.Enabled = False
    Find_What_Edit.Text = ""
    Find_What_Edit_OnChange
    Replace_With_Edit.Text = ""
    Find_ListView_PM_Clear.Enabled = False
    SetFocus(Find_What_Edit.Handle)
End Sub

Sub Previous_File_PM_OnClick(Sender As QMenuItem)
    Select Case Sender.Handle
      Case Previous_File_PM_Code_Editor_Load.Handle
        PF_PM_Code_Editor_Load(Previous_File_TreeView.Item(Previous_File_TreeView.ItemIndex).Text)
      Case Previous_File_PM_Clear.Handle
        Previous_File_TreeView.Clear
      Case Previous_File_PM_RemoveFrom.Handle
        Previous_File_TreeView.DelItems(Previous_File_TreeView.ItemIndex)
      Case Previous_File_PM_MoveUp.Handle
        Swap(Previous_File_TreeView.Item(Previous_File_TreeView.ItemIndex).Text, Previous_File_TreeView.Item(Previous_File_TreeView.ItemIndex-1).Text)
      Case Previous_File_PM_MoveDown.Handle
        Swap(Previous_File_TreeView.Item(Previous_File_TreeView.ItemIndex).Text, Previous_File_TreeView.Item(Previous_File_TreeView.ItemIndex+1).Text)
    End Select
    Update_Menus
End Sub

Sub Previous_File_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)
    If btn = 1 Then
      pfti = Previous_File_TreeView.GetItemAt(x,y)
      If pfti = -1 And Previous_File_TreeView.ItemCount > 0 Then
        Previous_File_TreeView.ItemIndex = 0
      ElseIf pfti > -1 And Previous_File_TreeView.ItemCount > 0 Then
        Previous_File_TreeView.ItemIndex = pfti
      End If
      If Previous_File_TreeView.ItemIndex > -1 Then
        Previous_File_PM_Code_Editor_Load.Enabled = True
        Previous_File_PM_Clear.Enabled = IIF(Previous_File_TreeView.ItemCount > 0, True, False)
        Previous_File_PM_RemoveFrom.Enabled = IIF(Previous_File_TreeView.ItemCount > 0, True, False)
        Previous_File_PM_MoveUp.Enabled = IIF(Previous_File_TreeView.ItemIndex > 0, True, False)
        Previous_File_PM_MoveDown.Enabled = IIF(Previous_File_TreeView.ItemIndex < (Previous_File_TreeView.ItemCount - 1), True, False)
      Else
        Previous_File_PM_Code_Editor_Load.Enabled = False
        Previous_File_PM_Clear.Enabled = False
        Previous_File_PM_RemoveFrom.Enabled = False
        Previous_File_PM_MoveUp.Enabled = False
        Previous_File_PM_MoveDown.Enabled = False
      End If
    End If
End Sub

Sub Previous_Project_PM_OnClick(Sender As QMenuItem)
    Select Case Sender.Handle
      Case Previous_Project_PM_Code_Editor_Load.Handle
        PP_PM_Code_Editor_Load(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text)
      Case Previous_Project_PM_Project_Editor_Load.Handle
       If Project_Editor_Treeview.Item(0).Text = "Project: " Then
         PP_PM_Project_Editor_Load(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text)
         ProjectName = Mid$(Project_Editor_TreeView.Item(0).Text, 10)
         Project_Editor_TreeView.FullExpand
         Previous_Project_TreeView.ItemIndex = 0
         Input_Output_Selector_RadioButton_OnClick(Project_Editor_Selector_RadioButton)
         SetFocus(Project_Editor_Selector_RadioButton.Handle)
       ElseIf (Project_Editor_Treeview.Item(0).Text <> "Project: ") And (ProjectModified = False) Then
         If MessageDlg("Error: Project Editor already contains a Project." & Chr$(10) & Chr$(10) & "Do you still want to load it into the Project Editor?", mtError, mbYes Or mbNo, 0) = mrYes Then
           PP_PM_Project_Editor_Load(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text)
           ProjectName = Mid$(Project_Editor_TreeView.Item(0).Text, 10)
           Project_Editor_TreeView.FullExpand
           Previous_Project_TreeView.ItemIndex = 0
           Input_Output_Selector_RadioButton_OnClick(Project_Editor_Selector_RadioButton)
           SetFocus(Project_Editor_Selector_RadioButton.Handle)
         End If
       ElseIf (Project_Editor_Treeview.Item(0).Text <> "Project: ") And (ProjectModified = True) Then
         If MessageDlg("Error: Project Editor contains a modified Project." & Chr$(10) & Chr$(10) & "Do you still want to load it into the Project Editor?", mtError, mbYes Or mbNo, 0) = mrYes Then
           PP_PM_Project_Editor_Load(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text)
           ProjectName = Mid$(Project_Editor_TreeView.Item(0).Text, 10)
           Project_Editor_TreeView.FullExpand
           Previous_Project_TreeView.ItemIndex = 0
           Input_Output_Selector_RadioButton_OnClick(Project_Editor_Selector_RadioButton)
           SetFocus(Project_Editor_Selector_RadioButton.Handle)
         End If
       End If
      Case Previous_Project_PM_Clear.Handle
        Previous_Project_TreeView.Clear
      Case Previous_Project_PM_RemoveFrom.Handle
        Previous_Project_TreeView.DelItems(Previous_Project_TreeView.ItemIndex)
      Case Previous_Project_PM_MoveUp.Handle
        Swap(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text, Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex-1).Text)
      Case Previous_Project_PM_MoveDown.Handle
        Swap(Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text, Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex+1).Text)
    End Select
    Update_Menus
End Sub

Sub Previous_Project_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)
    If btn = 1 Then
      ppti = Previous_Project_TreeView.GetItemAt(x,y)
      If ppti = -1 And Previous_Project_TreeView.ItemCount > 0 Then
        Previous_Project_TreeView.ItemIndex = 0
      ElseIf ppti > -1 And Previous_Project_TreeView.ItemCount > 0 Then
        Previous_Project_TreeView.ItemIndex = ppti
      End If
      If ppti > -1 Then
        Previous_Project_PM_Code_Editor_Load.Enabled = True
        Previous_Project_PM_Project_Editor_Load.Enabled = IIF(ProjectFilename <> Previous_Project_TreeView.Item(Previous_Project_TreeView.ItemIndex).Text, True, False)
        Previous_Project_PM_Clear.Enabled = IIF(Previous_Project_TreeView.ItemCount > 0, True, False)
        Previous_Project_PM_RemoveFrom.Enabled = IIF(Previous_Project_TreeView.ItemCount > 0, True, False)
        Previous_Project_PM_MoveUp.Enabled = IIF(Previous_Project_TreeView.ItemIndex > 0, True, False)
        Previous_Project_PM_MoveDown.Enabled = IIF(Previous_Project_TreeView.ItemIndex < (Previous_Project_TreeView.ItemCount - 1), True, False)
      Else
        Previous_Project_PM_Code_Editor_Load.Enabled = False
        Previous_Project_PM_Project_Editor_Load.Enabled = False
        Previous_Project_PM_Clear.Enabled = False
        Previous_Project_PM_RemoveFrom.Enabled = False
        Previous_Project_PM_MoveUp.Enabled = False
        Previous_Project_PM_MoveDown.Enabled = False
      End If
    End If
End Sub

Sub Project_Editor_PM_OnClick(Sender As QMenuItem)
    Select Case Sender.Handle
      Case Project_Editor_PM_Open.Handle
        If ProjectModified = True Then
          If MessageDlg("Error: Project has been Modified." & Chr$(10) & Chr$(10) & "Do you still want to Open a Project?", mtError, mbYes Or mbNo, 0) = mrYes Then Open_External_ProjectFile
        Else
          Open_External_ProjectFile
        End If
      Case Project_Editor_PM_Name.Handle
        ProjectNameEdit.Text = Mid$(Project_Editor_TreeView.Item(0).Text, 10)
        ProjectNameForm.Caption = " Project Name"
        ProjectNameLabel.Caption = "Enter a Project Name..."
        If ProjectNameForm.ShowModal = mrOk Then
          If ProjectNameEdit.Text <> "" Then
            Project_Editor_TreeView.Item(0).Text = "Project: " & ProjectNameEdit.Text
            If Mid$(Project_Editor_TreeView.Item(0).Text, 10) <> ProjectName Then
              ProjectName = Mid$(Project_Editor_TreeView.Item(0).Text, 10)
              ProjectModified = True
            End If
          End If
        End If
      Case Project_Editor_PM_AddTo.Handle
        OpenDialog.Caption = " Add File To Project"
        OpenDialog.Filter = " RQ Source Files         BAS,RQB,RQW,INC|*.bas;*.rqb;*.rqw;*.inc"
        OpenDialog.Filename = ""
        If OpenDialog.Execute Then
          Duplicate = 0
          If Project_Editor_TreeView.Item(0).HasChildren = True Then
            For i = (Project_Editor_TreeView.ItemCount - 1) To 1 Step -1
              If Project_Editor_TreeView.Item(i).Text = OpenDialog.Filename Then Inc(Duplicate)
            Next i
          End If
          If Duplicate = 0 Then
            ProjectList.AddItems(OpenDialog.Filename)
            Project_Editor_TreeView.AddChildItems(0, OpenDialog.Filename)
            Project_Editor_TreeView.ItemIndex = Project_Editor_TreeView.ItemCount - 1
            Project_Editor_TreeView.FullExpand
            ProjectModified = True
          Else
            MessageDlg("Error: File already exists in Project.", mtError, mbOk, 0)
          End If
        End If
        OpenDialog.InitialDir = ""
      Case Project_Editor_PM_Save.Handle
        SaveDialog.Caption = " Save As..."
        SaveDialog.Filter = " RQ Project Files                                  RQP|*.rqp"
        SaveDialog.Filename = ProjectName & ".rqp"
        If SaveDialog.Execute Then
          ProjectFilename = SaveDialog.Filename
          ProjectList.Clear
          For i = 1 To (Project_Editor_TreeView.ItemCount - 1)
            ProjectList.AddItems(Project_Editor_TreeView.Item(i).Text)
          Next i
          ProjectList.SaveToFile(ProjectFilename)
          ProjectModified = False
        End If
        SaveDialog.InitialDir = ""
      Case Project_Editor_PM_Clear.Handle
        If ProjectModified = True Then
          If MessageDlg("Error: Project has been Modified." & Chr$(10) & Chr$(10) & "Do you still want to Clear it?", mtError, mbYes Or mbNo, 0) = mrYes Then
            Project_Editor_TreeView.Clear
            Project_Editor_TreeView.AddItems("Project: ")
            ProjectFilename = ""
            ProjectModified = False
          End If
        Else
          Project_Editor_TreeView.Clear
          Project_Editor_TreeView.AddItems("Project: ")
          ProjectFilename = ""
        End If
      Case Project_Editor_PM_Code_Editor_Load.Handle
        If Project_Editor_TreeView.ItemIndex = 0 Then PP_PM_Code_Editor_Load(ProjectFilename)
        If Project_Editor_TreeView.ItemIndex > 0 Then PF_PM_Code_Editor_Load(Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex).Text)
      Case Project_Editor_PM_MoveUp.Handle
        ProjectList.Exchange(Project_Editor_TreeView.ItemIndex-1, Project_Editor_TreeView.ItemIndex-2)
        Swap(Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex).Text, Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex-1).Text)
        ProjectModified = True
      Case Project_Editor_PM_MoveDown.Handle
        ProjectList.Exchange(Project_Editor_TreeView.ItemIndex-1, Project_Editor_TreeView.ItemIndex)
        Swap(Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex).Text, Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex+1).Text)
        ProjectModified = True
      Case Project_Editor_PM_RemoveFrom.Handle
        Project_Editor_TreeView.DelItems(Project_Editor_TreeView.ItemIndex)
        ProjectList.DelItems(Project_Editor_TreeView.ItemIndex-1)
        ProjectModified = True
    End Select
    Update_Menus
End Sub

Sub Project_Editor_TreeView_OnMouseDown(btn As Integer, x As Integer, y As Integer, sh As Integer)
    If btn = 1 Then
      Project_Editor_TreeView.ItemIndex = Project_Editor_TreeView.GetItemAt(x,y)
      If Project_Editor_TreeView.ItemIndex = 0 Then
        If Project_Editor_TreeView.Item(0).Text = "Project: " Then
          Project_Editor_PM_Name.Caption = "Name Project"
          Project_Editor_PM_AddTo.Enabled = False
          Project_Editor_PM_Clear.Enabled = False
        Else
          Project_Editor_PM_Name.Caption = "Rename Project"
          Project_Editor_PM_AddTo.Enabled = True
          Project_Editor_PM_Clear.Enabled = True
        End If
        If Project_Editor_TreeView.Item(0).HasChildren = True Then
          Project_Editor_PM_Open.Caption = "Open a New Project"
          Project_Editor_PM_Save.Enabled = True
          Project_Editor_PM_Code_Editor_Load.Enabled = IIF((Check_For_PE_Missing_Files() = 0) And (ProjectModified = False), True, False)
        Else
          Project_Editor_PM_Open.Caption = "Open a Project"
          Project_Editor_PM_Save.Enabled = False
          Project_Editor_PM_Code_Editor_Load.Enabled = False
        End If
        Project_Editor_PM_Open.Enabled = True
        Project_Editor_PM_Name.Enabled = True
        Project_Editor_PM_RemoveFrom.Enabled = False
        Project_Editor_PM_MoveUp.Enabled = False
        Project_Editor_PM_MoveDown.Enabled = False
      Else
        Project_Editor_PM_Code_Editor_Load.Enabled = IIF(Left$(Project_Editor_TreeView.Item(Project_Editor_TreeView.ItemIndex).Text, 14) = "Missing File: ", False, True)
        Project_Editor_PM_Open.Enabled = False
        Project_Editor_PM_Name.Enabled = False
        Project_Editor_PM_Save.Enabled = False
        Project_Editor_PM_AddTo.Enabled = False
        Project_Editor_PM_Clear.Enabled = False
        Project_Editor_PM_RemoveFrom.Enabled = True
        Project_Editor_PM_MoveUp.Enabled = IIF(Project_Editor_TreeView.ItemIndex > 1, True, False)
        Project_Editor_PM_MoveDown.Enabled = IIF((Project_Editor_TreeView.ItemIndex < (Project_Editor_TreeView.ItemCount - 1)), True, False)
      End If
    End If
End Sub

Sub Set_HighLighting
    Select Case Highlight_Checkbox.Checked
      Case True
        If hlPause = True Then hlPause = False
        hlShow = &H10000
        RichEdit.Repaint(TabNum)
      Case False
        hlShow = &H0
        RichEdit.Repaint(TabNum)
        hlPause = False
        RichEdit.Repaint(TabNum)
    End Select
    Update_Menus
End Sub

Sub Set_LineNumbering
    Select Case LineNumbers_Checkbox.Checked
      Case True
        If hlPause = True Then hlPause = False
        lnShow = &H1
        RichEdit.Repaint(TabNum)
      Case False
        lnShow = &H0
        RichEdit.Repaint(TabNum)
        hlPause = False
        RichEdit.Repaint(TabNum)
    End Select
    Update_Menus
End Sub

Sub Set_HLLN_Defaults
    EAE_Edit(RichEdit.Handle(TabNum), KeyWrdLstFile)
    Update_Menus
End Sub

Sub Tab_Property_ComboBox_OnChange
    Select Case Tab_Property_ComboBox.ItemIndex
      Case 0
        Change_Style(hTabCtrl, TCS_MULTILINE, 0)
        MainForm_OnResize
        TabProperty = 0
      Case 1
        Change_Style(hTabCtrl, TCS_MULTILINE, 0)
        MainForm_OnResize
        TabProperty = 1
    End Select
    Lose_Focus
End Sub

Sub Clear_UnDoReDo_Buffer
    RichEdit.ClearUndoBuffer(TabNum)
    Update_Menus
End Sub

Sub Set_Tab_Font
    TabFont.Name = RichEdit.GetFont.Name(TabNum)
    TabFont.Size = RichEdit.GetFont.Size(TabNum)
    TabFont.Bold = RichEdit.GetFont.Bold(TabNum)
    TabFont.Italic = RichEdit.GetFont.Italic(TabNum)
    TabFont.Strikeout = RichEdit.GetFont.Strikeout(TabNum)
    TabFont.Underline = RichEdit.GetFont.Underline(TabNum)
    TabFont.CharSet = RichEdit.GetFont.CharSet(TabNum)
    FontDialog.GetFont(TabFont)
    If FontDialog.Execute Then
      FontDialog.SetFont(TabFont)
      RichEdit.SetFont(TabNum, TabFont)
      RichEdit.SetModified(TabNum, False)
      RichEdit.ClearUndoBuffer(TabNum)
    End If
    Update_Menus
End Sub

Sub Set_Tab_Color
    CC.hWndOwner = RichEdit.Handle(TabNum)
    CC.rgbResult = RichEdit.GetColor(TabNum)
    CC.Flags = &H1 + &H2
    CC_Ret = ChooseColorDlg(CC)
    If CC_Ret <> 0 Then RichEdit.SetColor(TabNum, CC.rgbResult)
    Update_Menus
End Sub

Sub Set_Def_Font
    FontDialog.GetFont(DefaultFont)
    If FontDialog.Execute Then
      FontDialog.SetFont(DefaultFont)
      For sdf = 0 To (MaxTabCnt - 1)
        RichEdit.SetFont(sdf, DefaultFont)
        RichEdit.SetModified(sdf, False)
        RichEdit.ClearUndoBuffer(sdf)
      Next sdf
    End If
    Update_Menus
End Sub

Sub Set_Def_Color
    CC.hWndOwner = RichEdit.Handle(TabNum)
    CC.rgbResult = DefReBgColor
    CC.Flags = &H1 + &H2
    CC_Ret = ChooseColorDlg(CC)
    If CC_Ret <> 0 Then
      If DefReBgColor <> CC.rgbResult Then
        If MessageDlg("Do you want to update all" & Chr$(10) & "the Tab background colors now?", mtConfirmation, mbYes Or mbNo, 0) = mrYes Then
          For sdbc = 0 To (MaxTabCnt - 1)
            RichEdit.SetColor(sdbc, CC.rgbResult)
          Next sdbc
        End If
      End If
      DefReBgColor = CC.rgbResult
    End If
    Update_Menus
End Sub

Sub Find_All_Button_OnClick
    Dim lFindFlags As Long
        lFindFlags = 0
    Dim lRetFind As Long
        lRetFind = 0
    Dim lRetGetLine As Long
        lRetGetLine = 0
    Dim sBuffer As String
        sBuffer = ""
    If Find_What_Edit.Text <> "" Then
      Clear_ReplaceALL_CheckBoxes
      Find_All_Button.Enabled = False
      Replace_Checked_Button.Enabled = False
      Find_ListView.Column(2).Caption = "Search In Progress..."
      MainForm.Repaint
      Find_StringList.Clear
      Find_ListView.Clear
      FINDTEXTEX.chrg_cpMin = 0
      FINDTEXTEX.chrg_cpMax = Len(RichEdit.GetText(TabNum))
      FINDTEXTEX.chrgText_cpMin = -1
      FINDTEXTEX.chrgText_cpMax = -1
      lFindFlags = FR_DOWN
      lFindFlags = lFindFlags Or IIF(Match_Whole_Checkbox.Checked = True, FR_WHOLEWORD, &H0)
      lFindFlags = lFindFlags Or IIF(Match_Case_Checkbox.Checked = True, FR_MATCHCASE, &H0)
      SearchString = Find_What_Edit.Text & Chr$(0)
      FINDTEXTEX.lpstrText = VarPtr(SearchString)
      lvPause = True
      Update_StatusBar_Icon(1)
      Do
        lRetFind = SendMessageAPI(RichEdit.Handle(TabNum), EM_FINDTEXTEX, lFindFlags, FINDTEXTEX)
        DoEvents
        If lRetFind > -1 Then
          lRetGetLine = SendMessageAPI(RichEdit.Handle(TabNum), EM_LINEFROMCHAR, FINDTEXTEX.chrgText_cpMin, 0)
          Find_ListView.AddItems(" -->")
          Find_ListView.AddSubItem(Find_ListView.ItemCount-1, Format$(" %6s", Str$(lRetGetLine + 1)))
          sBuffer = RichEdit.GetLine(TabNum, lRetGetLine)
          Find_ListView.AddSubItem(Find_ListView.ItemCount-1, Left$(sBuffer, Len(sBuffer)-2))
          Find_StringList.AddItems(STR$(FINDTEXTEX.chrgText_cpMin) & ":" & STR$(FINDTEXTEX.chrgText_cpMax))
          FINDTEXTEX.chrg_cpMin = FINDTEXTEX.chrgText_cpMax
        End If
      Loop Until lRetFind = -1
      Update_StatusBar_Icon(0)
      PrevSearchString = SearchString
      Find_ListView.Column(2).Caption = STR$(Find_ListView.ItemCount) & " item" & IIF(Find_ListView.ItemCount = 1, " was", "s were") & " found that matched... " & CHR$(34) & Left$(SearchString, Len(SearchString)-1) & CHR$(34)
      Find_ListView_Resize
      lvPause = False
        Find_ListView_PM_Clear.Enabled = True
      If Find_ListView.ItemCount > 0 Then
        Compare_StringList.Clear
        Compare_StringList.Text = RichEdit.GetText(TabNum)
        Toggle_ReplaceALL_CheckBoxes.Enabled = True
        Replace_Checked_Button.Enabled = True
        Lose_Focus
      Else
        Compare_StringList.Clear
        Toggle_ReplaceALL_CheckBoxes.Enabled = False
        Replace_Checked_Button.Enabled = False
        SetFocus(Find_What_Edit.Handle)
      End If
      Find_What_Edit_OnChange
    Else
      SearchString = Left$(PrevSearchString, Len(PrevSearchString)-1)
    End If
End Sub

Sub Find_What_Edit_OnChange
    If (Len(Find_What_Edit.Text) > 0) And (lvPause = False) Then
      Find_All_Button.Enabled = True
      Replace_Checked_Button.Enabled = IIF(Find_ListView.ItemCount > 0, True, False)
    Else
      Find_All_Button.Enabled = False
      Replace_Checked_Button.Enabled = False
    End If
End Sub

Sub Replace_Checked_Button_OnClick
    Update_StatusBar_Icon(1)
    MainForm.Repaint
    Dim ChgChk As Long
        ChgChk = 0
    Dim i As Long
        i = 0
    Dim n As Long
        n = 0
    For i = 0 To (Find_ListView.ItemCount - 1)
      If SendMessageAPI(Find_ListView.Handle, LVM_GETITEMSTATE, i, LVIS_STATEIMAGEMASK) = 8192 Then INC(n)
    Next i
    If n = 0 Then
      MessageDlg("Error: No items were selected for Replace Checked." & Chr$(10) & _
                 "          Checkmark the items that you want replaced.", _
                 mtError, mbOk, 0)
    Else
      ChgChk = IIF(RichEdit.GetText(TabNum) = Compare_StringList.Text, 1, -1)
      If ChgChk = -1 Then Goto RC1
      Find_All_Button.Enabled = False
      Replace_Checked_Button.Enabled = False
      For i = (Find_ListView.ItemCount - 1) To 0 Step -1
        DoEvents
        If SendMessageAPI(Find_ListView.Handle, LVM_GETITEMSTATE, i, LVIS_STATEIMAGEMASK) = 8192 Then
          cpMin = Val(Field$(Find_StringList.Item(i),":",1))
          cpMax = Val(Field$(Find_StringList.Item(i),":",2))
          Richedit.SetSelStart(TabNum, cpMin)
          Richedit.SetSelLength(TabNum, cpMax-cpMin)
          RichEdit.SetSelText(TabNum, Replace_With_Edit.Text)
        End If
      Next i
      If i = -1 Then Goto RC2 'Just in case the For/Next loop failed
RC1:  MessageDlg("Error: Unable to perform Replace Checked. The Source has changed." & Chr$(10) & Chr$(10) & _
                 "Solution: Run the Find All Matches again (before trying to Replace).", _
                 mtError, mbOk, 0)
RC2:  Find_ListView_PM_OnClick
      SetFocus(Find_What_Edit.Handle)
    End If
    Update_Tab_Icon(TabNum)
    Update_StatusBar_Icon(0)
End Sub

Sub Replace_With_Edit_OnChange
    If (Len(Replace_With_Edit.Text) > 0) And (Find_ListView.ItemCount > 0) And (lvPause = False) And (Len(Find_What_Edit.Text) > 0) Then
      Replace_Checked_Button.Enabled = True
    Else
      Replace_Checked_Button.Enabled = False
    End If
End Sub

Sub Toggle_ReplaceALL_CheckBoxes_OnClick
    Update_StatusBar_Icon(1)
    MainForm.Repaint
    If Find_ListView.ItemCount > 0 Then
      lvChecked = Toggle_ReplaceALL_CheckBoxes.Checked
      Toggle_ReplaceALL_CheckBoxes.Hint = IIf(lvChecked = 0, " Check ALL Items ", " UnCheck ALL Items ")
      LVITEM.Mask = LVIF_STATE
      LVITEM.state = IIf(lvChecked, LVIS_CHECKED, LVIS_UNCHECKED)
      LVITEM.stateMask = LVIS_STATEIMAGEMASK
      SendMessage(Find_ListView.Handle, LVM_SETITEMSTATE, -1, LVITEM)
    End If
    Update_StatusBar_Icon(0)
End Sub

Sub Clear_ReplaceALL_CheckBoxes
    Update_StatusBar_Icon(1)
    MainForm.Repaint
    Toggle_ReplaceALL_CheckBoxes.Checked = False
    Toggle_ReplaceALL_CheckBoxes.Hint = " Check ALL Items "
    LVITEM.Mask = LVIF_STATE
    LVITEM.state = LVIS_UNCHECKED
    LVITEM.stateMask = LVIS_STATEIMAGEMASK
    SendMessage(Find_ListView.Handle, LVM_SETITEMSTATE, -1, LVITEM)
    Update_StatusBar_Icon(0)
End Sub

Sub Get_LIB_Button_OnClick
    Dim lpIDList As Long
    Dim sBuffer  As String
    Dim szTitle  As String
        szTitle = "Select a Folder containing Library Files (*.lib)..."
L1: With BROWSEINFO
      .hWndOwner = MainForm.Handle
      .lpszTitle = VarPtr(szTitle)
      .ulFlags   = BIF_RETURNONLYFSDIRS + BIF_DONTGOBELOWDOMAIN
    End With
    lpIDList = SHBrowseForFolder(BROWSEINFO)
    If (lpIDList) Then
      sBuffer = Space$(MAX_PATH)
      SHGetPathFromIDList(lpIDList, sBuffer)
      sBuffer = Left$(sBuffer, InStr(sBuffer, Chr$(0)) - 1)
    End If
    If lpIDList = 0 Then Goto L3
    If FileExists(sBuffer & "\*.lib") = 0 Then Goto L2
    DefLibFolder = sBuffer
    Get_LIB_Button.Hint = " Current: " & DefLibFolder & " "
    Goto L3
L2: szTitle = " No *.lib files were found. Try again?"
    Goto L1
L3: 'End Of... Get Library Folder
End Sub

Sub Get_INC_Button_OnClick
    Dim lpIDList As Long
    Dim sBuffer  As String
    Dim szTitle  As String
        szTitle = "Select a Folder containing $Include Files (*.inc)..."
C1: With BROWSEINFO
      .hWndOwner = MainForm.Handle
      .lpszTitle = VarPtr(szTitle)
      .ulFlags   = BIF_RETURNONLYFSDIRS + BIF_DONTGOBELOWDOMAIN
    End With
    lpIDList = SHBrowseForFolder(BROWSEINFO)
    If (lpIDList) Then
      sBuffer = Space$(MAX_PATH)
      SHGetPathFromIDList(lpIDList, sBuffer)
      sBuffer = Left$(sBuffer, InStr(sBuffer, Chr$(0)) - 1)
    End If
    If lpIDList = 0 Then Goto C3
    If FileExists(sBuffer & "\*.inc") = 0 Then Goto C2
    DefIncFolder = sBuffer
    Get_INC_Button.Hint = " Current: " & DefIncFolder & " "
    Goto C3
C2: szTitle = " No (*.inc) files were found. Try again?"
    Goto C1
C3: 'End Of... Get Include Folder
End Sub

Sub Get_ICO_Button_OnClick
    OpenDialog.InitialDir = InstallPath
    OpenDialog.Caption    = " Select An Icon File..."
    OpenDialog.FileName   = ""
    OpenDialog.Filter     = " Icon Files                                         [ *.ico ]|*.ico"
    If OpenDialog.Execute Then
      DefAppIcon = OpenDialog.FileName
      Get_ICO_Button.Hint = " Current: " & DefAppIcon & " "
      Show_ICO_Image.Icon = DefAppIcon
    End If
    OpenDialog.InitialDir = ""
End Sub

Sub Web_Nav_ComboBox_OnChange
    Web_Nav_Edit.Text = ""
    msHTML.Free
    msHTML.CreateObject("Shell.Explorer.1")
    msHTML.Show
    msHTML.Navigate(WebStringList.Item(Web_Nav_ComboBox.ItemIndex))
    WebURL = WebStringList.Item(Web_Nav_ComboBox.ItemIndex)
    SetFocus(msHTML.Handle)
End Sub

Sub Web_Nav_Edit_OnChange
    Web_Nav_Button.Enabled = IIf(Len(Web_Nav_Edit.Text) >= 9, True, False)
End Sub

Sub Web_Nav_Button_OnClick
    Web_Nav_ComboBox.ItemIndex = 0
    msHTML.Free
    msHTML.CreateObject("Shell.Explorer.1")
    msHTML.Show
    msHTML.Navigate(Web_Nav_Edit.Text)
    WebURL = Web_Nav_Edit.Text
    SetFocus(msHTML.Handle)
End Sub

Sub Browser_FolderTree_OnClick
    Browser_FolderTree.FolderTree_OnClick

    If Previous_Folder <> Browser_FolderTree.Directory Then
      Browser_FolderTree.Enabled = False
      Previous_Folder = Browser_FolderTree.Directory
      Browser_FileView.Directory = Browser_FolderTree.Directory
      Browser_FolderTree.Enabled = True
    End If

    SetFocus(Browser_FolderTree.Handle)
End Sub

Sub Browser_FolderTree_OnKeyUp(ByVal key As Byte, ByVal shift As Long)
    Browser_FolderTree.FolderTree_OnKeyUp(key, shift)

    If Previous_Folder <> Browser_FolderTree.Directory Then
      Browser_FolderTree.Enabled = False
      Previous_Folder = Browser_FolderTree.Directory
      Browser_FileView.Directory = Browser_FolderTree.Directory
      Browser_FolderTree.Enabled = True
    End If

    SetFocus(Browser_FolderTree.Handle)
End Sub

Sub Browser_FileView_PM_OnClick(Sender As QMenuItem)
    Dim i As Long
        i = 0
    Dim Extension As String
        Extension = ""
    Dim FileName As String
        FileName = ""
    Dim ParserList As QStringList
        ParserList.Clear
    Select Case Sender.Handle
      Case Browser_FileView_PM_Code_Editor_Load.Handle
        ParserList.Text = Browser_FileView.GetSelItems()
        For i = 0 To (ParserList.ItemCount - 1)
          Extension = Right$(ParserList.Item(i), 3)
          FileName = ParserList.Item(i)
          Select Case Extension
            Case "rqp"
              PP_PM_Code_Editor_Load(FileName)
            Case Else
              PF_PM_Code_Editor_Load(FileName)
          End Select
        Next i
      Case Browser_FileView_PM_Mask_1.Handle
        Browser_FileView.FileMask = "*.bas;*.rqb;*.rqw;*.inc"
        Browser_FileView_PM_Mask_1.Checked = True
        Update_FileView
      Case Browser_FileView_PM_Mask_2.Handle
        Browser_FileView.FileMask = "*.bas;*.rqb;*.rqw"
        Browser_FileView_PM_Mask_2.Checked = True
        Update_FileView
      Case Browser_FileView_PM_Mask_3.Handle
        Browser_FileView.FileMask = "*.inc"
        Browser_FileView_PM_Mask_3.Checked = True
        Update_FileView
      Case Browser_FileView_PM_Mask_4.Handle
        Browser_FileView.FileMask = "*.rqp"
        Browser_FileView_PM_Mask_4.Checked = True
        Update_FileView
      Case Browser_FileView_PM_Mask_5.Handle
        Browser_FileView.FileMask = "*.txt"
        Browser_FileView_PM_Mask_5.Checked = True
        Update_FileView
      Case Browser_FileView_PM_Mask_6.Handle
        Browser_FileView.FileMask = "*.*"
        Browser_FileView_PM_Mask_6.Checked = True
        Update_FileView
    End Select
    Update_Menus
End Sub

Sub Browser_FileView_PM_Update(Sender As QStringList)
    Browser_FileView_PM_Code_Editor_Load.Enabled = IIf(Sender.Text = "", False, True)
End Sub
