'RapidQ menus (MainForm and RichEdit Popup).

Create MainMenu As QMainMenu
    Parent = MainForm
    Create mFile As QMenuItem
      Caption = "&File"
      Create mfOpenFile As QMenuItem
        Caption  = "Open File..."
        Enabled  = True
        OnClick  = mFile_OnClick
      End Create
      Create mfLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfSaveTab As QMenuItem
        Caption  = "Save Tab"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create mfSaveTabAs As QMenuItem
        Caption = "Save Tab As..."
        Enabled = True
        OnClick = mFile_OnClick
      End Create
      Create mfLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfSaveAll As QMenuItem
        Caption = "Save All Tabs"
        Enabled = False
        OnClick = mFile_OnClick
      End Create
      Create mfLine3 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfNewTab As QMenuItem
        Caption  = "New Tab"
        Enabled  = True
        OnClick  = mFile_OnClick
      End Create
      Create mfLine4 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfClearTab As QMenuItem
        Caption  = "Clear Tab"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create mfLine5 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfCloseTab As QMenuItem
        Caption  = "Close Tab"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create mfLine6 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfCloseAll As QMenuItem
        Caption  = "Close All Tabs"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create mfLine7 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mfExit As QMenuItem
        Caption = " Exit "
        Enabled = True
        OnClick = MainForm_OnClose
      End Create
    End Create
    Create mLine1 As QMenuItem
      Enabled = False
      Caption = " "
    End Create
    Create mEdit As QMenuItem
      Caption = "&Edit"
      Create meUndo As QMenuItem
        Caption  = "Undo"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create meRedo As QMenuItem
        Caption  = "Redo"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create meLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create meSelectAll As QMenuItem
        Caption  = "Select All"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create meLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create meCut As QMenuItem
        Caption  = "Cut"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create meCopy As QMenuItem
        Caption  = "Copy"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create mePaste As QMenuItem
        Caption  = "Paste"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create meDelete As QMenuItem
        Caption  = "Delete"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
    End Create
    Create mLine2 As QMenuItem
      Enabled = False
      Caption = " "
    End Create
    Create mJumpTo As QMenuItem
      Caption = "&JumpTo"
      Create mjSubroutine As QMenuItem
        Caption = "Subroutine"
        Enabled = False
        OnClick = mJumpTo_OnClick
      End Create
      Create mjFunction As QMenuItem
        Caption = "Function"
        Enabled = False
        OnClick = mJumpTo_OnClick
      End Create
    End Create
    Create mLine3 As QMenuItem
      Enabled = False
      Caption = " "
    End Create
    Create mPrint As QMenuItem
      Caption = "&Print"
      Create mpPageSetup As QMenuItem
        Caption = "Page Setup..."
        Enabled = False
        OnClick = mPrint_OnClick
      End Create
      Create mpLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mpPrintPreview As QMenuItem
        Caption = "Print Preview..."
        Enabled = False
        OnClick = mPrint_OnClick
      End Create
      Create mpLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mpPrintDialog As QMenuItem
        Caption = "Print..."
        Enabled = False
        OnClick = mPrint_OnClick
      End Create
    End Create
    Create mLine4 As QMenuItem
      Enabled = False
      Caption = " "
    End Create
    Create mCompiler As QMenuItem
      Caption = "&Compiler"
      Create mcCompile As QMenuItem
        Caption = "Compile"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create mcRun As QMenuItem
        Caption = "Run"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create mcCompileRun As QMenuItem
        Caption = "Compile + Run"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create mcLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mcCompileResults As QMenuItem
        Caption = "View Last Results"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create mcLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mcCreateManifest As QMenuItem
        Caption = "Create a Manifest"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
    End Create
    Create mLine5 As QMenuItem
      Enabled = False
      Caption = " "
    End Create
    Create mHelp As QMenuItem
      Caption = "&Help"
      Create mhRqHelp As QMenuItem
        Caption  = "RapidQ CHM Help"
        OnClick  = mHelp_OnClick
      End Create
      Create mhRq2Help As QMenuItem
        Caption  = "RapidQ2 CHM Help"
        OnClick  = mHelp_OnClick
      End Create
      Create mhLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mhEditAideHelp As QMenuItem
        Caption  = "EditAide Help"
        OnClick  = mHelp_OnClick
      End Create
      Create mhLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mhContextHelp As QMenuItem
        Caption = "Context Help"
        OnClick = mHelp_OnClick
      End Create
      Create mhLine3 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create mhSelectWin32Folder As QMenuItem
        Caption = "Select Win32 Folder"
        Enabled = True
        OnClick = mHelp_OnClick
      End Create
    End Create
'    Create mTest As QMenuItem
'      Caption = "Test"
'      OnClick = mTest_OnClick
'    End Create
End Create

Create rePopUpMenu As QPopUpMenu
    Create pFile As QMenuItem
      Caption = "File"
      Create pfOpenFile As QMenuItem
        Caption  = "Open File..."
        ShortCut = "Ctrl+O"
        Enabled  = True
        OnClick  = mFile_OnClick
      End Create
      Create pfLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfSaveTab As QMenuItem
        Caption  = "Save Tab"
        ShortCut = "Ctrl+S"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create pfSaveTabAs As QMenuItem
        Caption = "Save Tab As..."
        Enabled = True
        OnClick = mFile_OnClick
      End Create
      Create pfLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfSaveAll As QMenuItem
        Caption = "Save All Tabs"
        Enabled = True
        OnClick = mFile_OnClick
      End Create
      Create pfLine3 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfNewTab As QMenuItem
        Caption  = "New Tab"
        ShortCut = "Ctrl+T"
        Enabled  = True
        OnClick  = mFile_OnClick
      End Create
      Create pfLine4 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfClearTab As QMenuItem
        Caption  = "Clear Tab"
        ShortCut = "Ctrl+N"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create pfLine5 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfCloseTab As QMenuItem
        Caption  = "Close Tab"
        ShortCut = "Ctrl+W"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create pfLine6 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfCloseAll As QMenuItem
        Caption  = "Close All Tabs"
        Enabled  = False
        OnClick  = mFile_OnClick
      End Create
      Create pfLine7 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pfExit As QMenuItem
        Caption = " Exit "
        Enabled = True
        OnClick = MainForm_OnClose
      End Create
    End Create
    Create pLine1 As QMenuItem
      Caption = "-"
      Enabled = False
    End Create
    Create pEdit As QMenuItem
      Caption = "Edit"
      Create peUndo As QMenuItem
        Caption  = "Undo"
        ShortCut = "Ctrl+Z"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create peRedo As QMenuItem
        Caption  = "Redo"
        ShortCut = "Ctrl+Y"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create peLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create peSelectAll As QMenuItem
        Caption  = "Select All"
        ShortCut = "Ctrl+A"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create peLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create peCut As QMenuItem
        Caption  = "Cut"
        ShortCut = "Ctrl+X"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create peCopy As QMenuItem
        Caption  = "Copy"
        ShortCut = "Ctrl+C"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create pePaste As QMenuItem
        Caption  = "Paste"
        ShortCut = "Ctrl+V"
        Enabled  = False
        OnClick  = mEdit_OnClick
      End Create
      Create peDelete As QMenuItem
        Caption  = "Delete"
        Enabled  = False
        ShortCut = "Del"
        OnClick  = mEdit_OnClick
      End Create
    End Create
    Create pLine2 As QMenuItem
      Caption = "-"
      Enabled = False
    End Create
    Create pJumpTo As QMenuItem
      Caption = "&JumpTo"
      Create pjSubroutine As QMenuItem
        Caption = "Subroutine"
        Enabled = False
        OnClick = mJumpTo_OnClick
      End Create
      Create pjFunction As QMenuItem
        Caption = "Function"
        Enabled = False
        OnClick = mJumpTo_OnClick
      End Create
    End Create
    Create pLine3 As QMenuItem
      Caption = "-"
      Enabled = False
    End Create
    Create pPrint As QMenuItem
      Caption = "&Print"
      Create ppPageSetup As QMenuItem
        Caption = "Page Setup..."
        Enabled = False
        OnClick = mPrint_OnClick
      End Create
      Create ppLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create ppPrintPreview As QMenuItem
        Caption = "Print Preview..."
        Enabled = False
        OnClick = mPrint_OnClick
      End Create
      Create ppLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create ppPrintDialog As QMenuItem
        Caption  = "Print..."
        Enabled  = False
        ShortCut = "Ctrl+P"
        OnClick  = mPrint_OnClick
      End Create
    End Create
    Create pLine4 As QMenuItem
      Caption = "-"
      Enabled = False
    End Create
    Create pCompiler As QMenuItem
      Caption = "Compiler"
      Create pcCompile As QMenuItem
        Caption = "Compile"
        ShortCut = "Ctrl+F5"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create pcRun As QMenuItem
        Caption = "Run"
        ShortCut = "Shift+F5"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create pcCompileRun As QMenuItem
        Caption = "Compile + Run"
        ShortCut = "F5"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create pcLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pcCompileResults As QMenuItem
        Caption = "View Last Results"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
      Create pcLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create pcCreateManifest As QMenuItem
        Caption = "Create a Manifest"
        Enabled = False
        OnClick = mCompile_OnClick
      End Create
    End Create
    Create pLine5 As QMenuItem
      Enabled = False
      Caption = "-"
    End Create
    Create pHelp As QMenuItem
      Caption = "&Help"
      Create phRqHelp As QMenuItem
        Caption  = "RapidQ CHM Help"
        OnClick  = mHelp_OnClick
      End Create
      Create phRq2Help As QMenuItem
        Caption  = "RapidQ2 CHM Help"
        OnClick  = mHelp_OnClick
      End Create
      Create phLine1 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create phEditAideHelp As QMenuItem
        Caption  = "EditAide Help"
        OnClick  = mHelp_OnClick
      End Create
      Create phLine2 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create phContextHelp As QMenuItem
        Caption = "Context Help"
        ShortCut = "F1"
        OnClick = mHelp_OnClick
      End Create
      Create phLine3 As QMenuItem
        Caption = "-"
        Enabled = False
      End Create
      Create phSelectWin32Folder As QMenuItem
        Caption = "Select Win32 Folder"
        Enabled = True
        OnClick = mHelp_OnClick
      End Create
    End Create
'    Create pLine6 As QMenuItem
'      Caption = "-"
'      Enabled = False
'    End Create
'    Create pTest As QMenuItem
'      Caption = "Test"
'      OnClick  = Test_OnClick
'    End Create
End Create
